package com.sipai.jspatrol.Patrol.patrolInfoAdapter;

import com.sipai.jspatrol.Bean.PatrolPointContent;
import com.sipai.jspatrol.Bean.InputPoint;
import com.sipai.jspatrol.Bean.Measuringpoint;
import com.sipai.jspatrol.Bean.ProPatrolPoint;

import org.litepal.LitePal;
import org.litepal.crud.LitePalSupport;

import java.io.Serializable;
import java.util.List;

/**
 * created by lvliming on 2019/6/17
 */
public class PatrolEqu extends LitePalSupport implements Serializable {
    private String sid;
    private String equipmentId;
    private String equipmentName;
    private String status;
    private String patrolPointId;
    private String patrolRecordId;
    private String manufacturers;//厂家
    private String equipmentCardId;//设备编号
    private List<Measuringpoint> measuringpoints;
    private String type;
    private List<PatrolPointContent> patrolContentsRecords;
    private List<InputPoint> patrolMeasurePointRecords;
    private ProPatrolPoint proPatrolPoint;
    private String finishDt;

    public String getSid() {
        return sid;
    }

    public void setSid(String sid) {
        this.sid = sid;
    }

    public String getEquipmentId() {
        return equipmentId;
    }

    public void setEquipmentId(String equipmentId) {
        this.equipmentId = equipmentId;
    }

    public String getEquipmentName() {
        return equipmentName;
    }

    public void setEquipmentName(String equipmentName) {
        this.equipmentName = equipmentName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPatrolPointId() {
        return patrolPointId;
    }

    public void setPatrolPointId(String patrolPointId) {
        this.patrolPointId = patrolPointId;
    }

    public String getPatrolRecordId() {
        return patrolRecordId;
    }

    public void setPatrolRecordId(String patrolRecordId) {
        this.patrolRecordId = patrolRecordId;
    }

    public String getManufacturers() {
        return manufacturers;
    }

    public void setManufacturers(String manufacturers) {
        this.manufacturers = manufacturers;
    }

    public String getEquipmentCardId() {
        return equipmentCardId;
    }

    public void setEquipmentCardId(String equipmentCardId) {
        this.equipmentCardId = equipmentCardId;
    }

    public List<Measuringpoint> getMeasuringpoints() {
        return measuringpoints;
    }

    public void setMeasuringpoints(List<Measuringpoint> measuringpoints) {
        this.measuringpoints = measuringpoints;
    }

    public String getFinishDt() {
        return finishDt;
    }

    public void setFinishDt(String finishDt) {
        this.finishDt = finishDt;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<PatrolPointContent> getPatrolContentsRecords() {
        return LitePal.where("patrolPointId = ? and patrolRecordId = ? and equipmentId = ?",patrolPointId,patrolRecordId,equipmentId).find(PatrolPointContent.class);
    }

    public void setPatrolContentsRecords(List<PatrolPointContent> patrolContentsRecords) {
        this.patrolContentsRecords = patrolContentsRecords;
    }

    public List<InputPoint> getPatrolMeasurePointRecords() {
        return LitePal.where("patrolPointId = ? and patrolRecordId = ? and equipmentId = ?",patrolPointId,patrolRecordId,equipmentId).find(InputPoint.class);
    }

    public void setPatrolMeasurePointRecords(List<InputPoint> patrolMeasurePointRecords) {
        this.patrolMeasurePointRecords = patrolMeasurePointRecords;
    }

    public ProPatrolPoint getProPatrolPoint() {
        return proPatrolPoint;
    }

    public void setProPatrolPoint(ProPatrolPoint proPatrolPoint) {
        this.proPatrolPoint = proPatrolPoint;
    }
}
